=== debian/changelog ===
maint-guide (1.2.19) unstable; urgency=low

  * Used the WWW resource URI according to docbook-xsl. Closes: #581961
  * Swapped Maintainer and Uploaders to reflect the role for last 5 years.
  * Added Homepage in control.
  * Updated Italian translation.
  * Documented dh_installchangelogs description.
  * Updated Autotools related contents. 

 -- Osamu Aoki <osamu@debian.org>  Sat, 29 May 2010 01:57:57 +0900

maint-guide (1.2.18) unstable; urgency=low

  * Described URL redirect for http://sf.net. Closes: #578059
  * Used empty override target instead of :. 
  * Updated Italian translation by Calogero Lo Leggio et al with po4a. 
  * Added po4a dependency. 
  * Updated .quitrc example inspired by discussion with Ivan Borzenkov.
  * Updated .bashrc to export DEBFULLNAME DEBEMAIL. Closes: #581772
  * Documented dh --no-act as footnote.  Closes: #581814
  * Added pointer to Debconf9 presentation on debhelper. 
  * Fixed many minor bugs.

 -- Osamu Aoki <osamu@debian.org>  Sun, 16 May 2010 18:29:35 +0900

maint-guide (1.2.17) unstable; urgency=low

  [ Osamu Aoki ]
  * Fixed typos. 
  * Updated quilt usage examples.
  * Updated debian/rules to match the recommendation by this documentation.
  * Added lintian-overrides, info, manpages to "Other files under debian
    directory" and sorted its section by the meaningful part of the title.
    Closes: #575693
  * Recommended usage of "dh_auto_* -- additional parameters" syntax in
    override_dh_auto_* target customization. Closes: #575694

  [ Raphaël Hertzog ]
  * Drop --quilt option of dh_make, it's not needed now that "3.0 (quilt)"
    source packages are created by default.
  * Enhance sample .quiltrc with what's suggested in quilt's README.source.
  * Numerous fixes and simplifications (drop uninteresting "-j1" option in
    sample make commands, drop "-rfakeroot" in dpkg-buildpackage call, use
    ftp.upload.debian.org instead of ftp-master.debian.org, etc.)
  * Clarify explanations about "3.0 (quilt)" source format.

  [ Osamu Aoki ]
  * Enhanced quiltrc in again based on blog by Torsten Landschoff.
  * Updated "6.4 pbuilder package" including B90lintian.
  * Reverted to explain "7.7 interdiff command" and made complete overhaul of
    "7 Checking the package for errors".
  * Simplified "8.1 Uploading to the Debian archive" since local queue is not
    so useful these days and no need to copy the default configuration here.
  * Rewrote and reorganized major parts of "9 Updating the package".
  * Converted Credits to UTF-8.
  * Harmonized URL references to the Debian Policy Manual. 
  * Explained autobuilder, Build-Depends: and Build-Depends-Indep: fields.
  * Placed a bit more note on dput. Closes: #576424
  * Added dh --with description.
  * Made many touch-ups and shortened text as much as possible. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 16 Apr 2010 00:23:01 +0900

maint-guide (1.2.16) unstable; urgency=low

  * Fixed file name of doc-debian for pt-br. 
  * Fixed changelog typo for bug#. s/544173/554173/.
  * Updated contents to reflect squeeze situation.
  * Updated to autogenerate version from changelog.
  * Fixed references related to dpkg-buildpackage with -i -I -sa.
  * Updated to use debian/install & dh_install in the text. Closes: #573621
  * Added list of program for development: python, quilt, git-core.
  * Updated to use xutils-dev instead. Closes: #573642
  * Updated to address 3.0(quilt) format, quilt usage, and dpatch to quilt
    migration. Closes: #573730, #573160
  * .quiltrc copied from Adeodato Simó's example.
  * debhelper in examples to >=7.0.50 for correct dh handling.
  * Updated rule file description for dh. Closes: #573732 
  * Updated private archive section by the URL pointer. Closes: #573735
  * Updated checksums to use MD5/SHA1/SHA256. Closes: #573856
  * Added Vcs-* fields description to debian/control. Closes: #573990
  * Updated that DD is not the only one uploading ... Closes: #574456
  * Documented compat etc. Closes: #574457
  * Added reference to mentors.debian.net.
  * Added Craig Small as author for his recent SVN commits.
  * Removed docbook2x usage for manpages.xml. Closes: #574946
  * Added quilt to Recommends of the binary package.
  * Made many URL links and consistent tagging.
  * Updated "Installation of files to the destination" contents.
  * Added references and pointers to CDBS.

 -- Osamu Aoki <osamu@debian.org>  Wed, 24 Mar 2010 01:41:52 +0900

maint-guide (1.2.15) unstable; urgency=low

  [ Osamu Aoki ]
  * Removed linda from recommends since is is not used any more.
    Closes: #554173
  * Fixed the Vcs-Cvs field per James Vega. Closes: #561242 
  * Updated this package to debhelper 7 with dh, dpkg source format 3.0
    (native).  Updated dependency and doc-base files.
  * Renamed file and package names to simplify situation by using newer locale
    support capabilities available in debiandoc-sgml (>=1.2.8). 
  * Removed freetype2-demos build dependency. 
  * "Copyright information" is now in 12.5. Closes: #572857

  [ Craig Small ]
  * Changed example to docbook2x-man Closes: #498017
  * Changed menu examples Closes: #437750
  * g77 changed to gfortran Closes: #505514
  * Updated links to developers reference Closes: #516467
  * Fixed 2 minor typos Closes: #527290
  * Use dpkg-depcheck instead of script Closes: #554180
  * Changed version section to remove reference to 0.0 Closes: #554948
  * Updated watch file example Closes: #437847
  * Updated doc-base.EX section
  * Added build-essential to packages needed
  * Changed rules file to debhelper 7 Closes: #511549, #549289
  * Adjusted French document to not use tags in sections Closes: #562325

 -- Osamu Aoki <osamu@debian.org>  Tue, 09 Mar 2010 02:01:04 +0900
