## maint-guide 1.2.24

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,12 @@
 #
 # Should work both for a manual in the Debian Documentation Project
 # preset values here may be overriden by a higher level makefile
+
+# Language names are in lowercase web suffix style without encoding.
+# sgml uses traditional encoding such as latin1
+# $$lang.*.add files use traditional encoding such as latin1
+#                       You can use any number for middle *.
+# po files can be in UTF-8 encoding. (Depending on definition in it).
 
 # Build type: Possible values are BUILD_TYPE = web|package|...
 BUILD_TYPE	:= web
@@ -11,12 +17,17 @@
 MANUAL		:= maint-guide
 
 # Language which is excluded from producing PS, PDF (Customizable)
-LANG_CJK	:= ko zh-cn zh-tw
+LANG_CJK	:= ko
 #LANG_CJK	:= 
 
 # Language which generates SGML files from PO file (Customizable)
-LANG_PO		:= it
-
+ifneq ("$(BUILD_TYPE)", "web")
+# web build all po files
+LANG_PO		:= fr it zh-cn zh-tw
+else
+# package build good po files
+LANG_PO		:= fr it zh-cn zh-tw
+endif
 SOURCES_ALL	:= $(wildcard *.??*.sgml)
 PO_ALL		:= $(wildcard *.??*.po)
 # Language group
@@ -50,21 +61,35 @@
 	# remove old files
 	install -p -m 644 $(MANUAL)*.html/*.html $(PUBLISHDIR)/$(MANUAL)/
 	install -p -m 644 $(MANUAL)*.txt $(MANUAL)*.ps $(MANUAL)*.pdf $(PUBLISHDIR)/$(MANUAL)
+	echo "AddCharset UTF-8 .txt" > $(PUBLISHDIR)/$(MANUAL)/.htaccess
 
 # generating SGML files from PO files
-PO_UPDATE	:= po4a-updatepo --previous -M latin1 -f sgml
+# -M : master file $(MANUAL).en.sgml is always in UTF-8
+PO_UPDATE	:= po4a-updatepo --previous -M UTF-8 -f sgml
 #PO_UPDATE	:= po4a-updatepo --previous --msgmerge-opt --no-wrap -M latin1 -f sgml
-PO_TRANSLATE	:= po4a-translate  -M latin1 -f sgml --keep 0
-PO_GETTEXT	:= po4a-gettextize -M latin1 -f sgml
+PO_TRANSLATE	:= po4a-translate  -M UTF-8 -f sgml --keep 0
+PO_GETTEXT	:= po4a-gettextize -M UTF-8 -f sgml
 
+# -L : Charset of the file containing the localized document. UTF-8
+# xargs -n1 is to split into lines
+# sed script is to add "-a" to automatically add addendum files.
+
+tw:
+	msgcat --no-wrap $(MANUAL).zh-cn.po | opencc | sed -f cn2tw.sed | msgcat - > $(MANUAL).zh-tw.po
 
 po:
+	which opencc msgcat sed || true
+	#rm -f $(MANUAL).zh-tw.po
+	#$(make) tw
 	if ! [ -f version.ent ]; then $(MAKE) version.ent; fi
 	for lang in $(LANG_PO); do \
-	$(PO_UPDATE) -m $(MANUAL).en.sgml -p $(MANUAL).$$lang.po ;\
-	$(PO_TRANSLATE) -v -L latin1 -m $(MANUAL).en.sgml -l $(MANUAL).$$lang.sgml -p $(MANUAL).$$lang.po -a $$lang.1.add ;\
+	echo "Translate to: $$lang" ;\
+	$(PO_UPDATE) -o ignore-inclusion=version -m $(MANUAL).en.sgml -p $(MANUAL).$$lang.po ;\
+	$(PO_TRANSLATE) -v -L UTF-8 -m $(MANUAL).en.sgml -l $(MANUAL).$$lang.sgml -p $(MANUAL).$$lang.po \
+	$$(echo $$lang.*.add|xargs -n1|sed -ne 's/^\([^*]*\.add\)$$/-a \1/p') \
+	-o ignore-inclusion=version ;\
         done
-	$(PO_GETTEXT) -m $(MANUAL).en.sgml -p $(MANUAL).pot
+	$(PO_GETTEXT) -o ignore-inclusion=version -m $(MANUAL).en.sgml -p $(MANUAL).pot
 
 # generating HTML
 # ugly because the normal stuff works only as PHONYs. :(
@@ -74,16 +99,17 @@
 	if ! [ -f version.ent ]; then $(MAKE) version.ent ; $(MAKE) po; fi
 	for lang in $(LANG_ALL); do \
 	  if /usr/bin/test \( ! -e $(MANUAL).$$lang.html/index.$$lang.html \) -o \( $(MANUAL).$$lang.sgml -nt $(MANUAL).$$lang.html/index.$$lang.html \); then \
-            echo debiandoc2html -c -l $$lang $(MANUAL).$$lang.sgml; \
-            debiandoc2html -c -l $$lang $(MANUAL).$$lang.sgml; \
+            echo debiandoc2html -C -l $$lang.utf-8 $(MANUAL).$$lang.sgml; \
+            debiandoc2html -C -l $$lang.utf-8 $(MANUAL).$$lang.sgml; \
           fi; \
         done
 
 # generating plain text
 txt text: $(patsubst %.sgml,%.txt,$(SOURCES_ALL))
+	echo "AddCharset UTF-8 .txt" > .htaccess
 
 $(MANUAL).%.txt: $(MANUAL).%.sgml
-	debiandoc2text -l $* $<
+	debiandoc2text -l $*.utf-8 $<
 
 # generating PostScript
 ps: $(patsubst %,$(MANUAL).%.ps,$(LANG_NOCJK))
@@ -92,7 +118,7 @@
 	done
 
 $(MANUAL).%.ps: $(MANUAL).%.sgml
-	debiandoc2latexps -l $* $<
+	debiandoc2latexps -l $*.utf-8 $<
 
 # generating Portable Document Format
 pdf: $(patsubst %,$(MANUAL).%.pdf,$(LANG_NOCJK))
@@ -101,7 +127,7 @@
 	done
 
 $(MANUAL).%.pdf: $(MANUAL).%.sgml
-	debiandoc2latexpdf -l $* $<
+	debiandoc2latexpdf -l $*.utf-8 $<
 
 # validating SGML
 validate:
@@ -109,15 +135,23 @@
 
 # cleaning up
 clean:
-	-rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,out,sasp*,tpt,tex-in} *~
-	-rm -rf $(MANUAL)*.html 
-	-rm -rf *.tmp
-	-rm version.ent
+	for ext in txt ps dvi pdf log tex aux toc out tpt tex-in ; do \
+	rm -f $(MANUAL)*.$$ext ;\
+	done
+	rm -f .htaccess
+	rm -f $(MANUAL)*.info*
+	rm -f $(MANUAL)*.sasp*
+	rm -f $(MANUAL)*.info*
+	rm -f $(MANUAL)*.*~
+	rm -rf $(MANUAL)*.html 
+	rm -rf *.tmp
+	rm -f version.ent
 	for lang in $(LANG_PO); do \
 	rm -f $(MANUAL).$$lang.sgml ;\
         done
+	#rm -f $(MANUAL).zh-tw.po
 ifneq ("$(BUILD_TYPE)", "web")
-	-rm -rf $(PUBLISHDIR)/$(MANUAL)
+	rm -rf $(PUBLISHDIR)/$(MANUAL)
 else
 	for lang in $(LANG_NOE); do rm -f $(CURDIR)/debian/$(MANUAL)-$$lang.install; done
 endif
@@ -125,5 +159,6 @@
 distclean: clean
 
 .PHONY: all publish clean distclean validate
+.PHONY: po tw html text txt ps pdf
 .SUFFIXES:
