=== debian/changelog ===
maint-guide (1.2.24) unstable; urgency=low

  * Dropped accidentally included opencc dependency for squeeze.

 -- Osamu Aoki <osamu@debian.org>  Thu, 30 Sep 2010 23:49:19 +0900

maint-guide (1.2.23) unstable; urgency=low

  * Debian is not just *Linux* distrubution.  Closes: #595507
  * Added "source/local-options file" section.
  * Updated fr translation (100%).
  * Added zh-cn, zh-tw, and it translation (100%) using po4a
    Closes: #593663

 -- Osamu Aoki <osamu@debian.org>  Mon, 27 Sep 2010 22:40:55 +0900

maint-guide (1.2.22) unstable; urgency=low

  [ David Prévot ]
  * s/git-core/git/g. Closes: #593416

  [ Osamu Aoki ]
  * Converted to use UTF-8 across build. Closes: #593678 
  * Reactvate ps/pdf for Chinese (zh-cn/zh-tw). Closes: #490161

 -- Osamu Aoki <osamu@debian.org>  Sat, 21 Aug 2010 03:54:38 +0900

maint-guide (1.2.21) unstable; urgency=low

  * Fixed missing list in the package description last paragraph
    of Spanish translation. Closes: #588559
  * Clarified that "package" is place holder and added an example.
    following suggestion of David Prévot. Closes: #590033
  * Encouraged work on already packaged programs following 
    suggestion of Serafeim Zanikolas. Closes: #590162
  * Documented Breaks for policy 3.9.0. Closes: #590185
  * Removed bashism from Makefile. 
  * Removed texlive-full from Build-Depends-Indep. Closes: #564241

 -- Osamu Aoki <osamu@debian.org>  Sun, 01 Aug 2010 21:27:00 +0900

maint-guide (1.2.20) unstable; urgency=low

  [ Osamu Aoki ]
  * Fixed problematic ways of presenting configuration files.
  * Fixed typo. Closes: #585475
  * Distinguish Debian and Debian archive. Closes: #586421

  [ David Prévot ]
  * Fixed typos, style and oudated mentions. Closes: #585551
  * Updated French translation with po4a.

 -- Osamu Aoki <osamu@debian.org>  Sat, 26 Jun 2010 11:43:14 -0400
