=== debian/control ===
--- 
+++ 
@@ -4,8 +4,13 @@
 Maintainer: Osamu Aoki <osamu@debian.org>
 Uploaders: Josip Rodin <joy-packages@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: debiandoc-sgml (>= 1.2.8), po4a, texlive-full, w3m, latex-cjk-all, ghostscript | gs-esp | gs
-Standards-Version: 3.8.4
+Build-Depends-Indep: debiandoc-sgml (>= 1.2.8), po4a, w3m,
+ ghostscript | gs-esp | gs, 
+ texlive,
+ texlive-lang-all,
+ texlive-latex-extra,
+ latex-cjk-all
+Standards-Version: 3.9.1
 Homepage: http://www.debian.org/doc/devel-manuals#maint-guide
 Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/maint-guide
 Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/maint-guide/
@@ -25,13 +30,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-fr
 Architecture: all
@@ -50,13 +54,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-ja
 Architecture: all
@@ -75,13 +78,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-ko
 Architecture: all
@@ -100,13 +102,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-es
 Architecture: all
@@ -125,13 +126,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-ru
 Architecture: all
@@ -150,13 +150,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-de
 Architecture: all
@@ -175,13 +174,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-pt-br
 Architecture: all
@@ -202,13 +200,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-it
 Architecture: all
@@ -227,13 +224,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-pl
 Architecture: all
@@ -252,13 +248,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-zh-cn
 Architecture: all
@@ -279,13 +274,12 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
-     * 10 Where to ask for help
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
 
 Package: maint-guide-zh-tw
 Architecture: all
@@ -306,9 +300,9 @@
      * 1 Getting started The Right Way
      * 2 First steps
      * 3 Modifying the source
-     * 4 Required stuff under debian/
-     * 5 Other files under debian/
-     * 6 Building the package
-     * 7 Checking the package for errors
-     * 8 Uploading the package
-     * 9 Updating the package
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
