=== debian/changelog ===
maint-guide (1.2.25) unstable; urgency=low

  * Fixed typo: s/DSFG/DFSG/g by Tobias Quathamer.
  * Updated uscan watch file examples. Closes: #602454
  * Made text compatible with non-Bash. Closes: #605976
  * Converted Japanese translation to PO (100% translation). Closes: #597594
  * Converted Spanish translation to PO (100% translation). Closes: #604710
  * Converted German translation to PO (60% translation) and built from 
    updated SGML for now. Closes: #604767
  * Updated French, Italian, Chinese(cn,tw) translations (100%).

 -- Osamu Aoki <osamu@debian.org>  Sun, 19 Dec 2010 16:28:06 +0900
